# Generated by Django 3.0.4 on 2020-04-04 14:22

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('public', '0001_initial'),
        ('personinneed', '0009_auto_20200330_1057'),
    ]

    operations = [
        migrations.AlterField(
            model_name='helpcategories',
            name='name',
            field=models.CharField(choices=[('shopping', 'shopping'), ('animal_care', 'animal care'), ('fon_care', 'Talk to people on the phone'), ('logistics', 'Bring things from A to B'), ('babysitting', 'childcare'), ('other', 'other')], max_length=20),
        ),
        migrations.AlterField(
            model_name='personinneed',
            name='city',
            field=models.CharField(max_length=255, verbose_name='City'),
        ),
        migrations.AlterField(
            model_name='personinneed',
            name='country',
            field=models.CharField(max_length=255, verbose_name='Country'),
        ),
        migrations.AlterField(
            model_name='personinneed',
            name='first_name',
            field=models.CharField(max_length=100, verbose_name='First Name'),
        ),
        migrations.AlterField(
            model_name='personinneed',
            name='fon',
            field=models.CharField(help_text='Please use format +49(leave out leading 0) 152337182 ', max_length=100, verbose_name='Fon'),
        ),
        migrations.AlterField(
            model_name='personinneed',
            name='language',
            field=models.ManyToManyField(related_name='lang_pin', to='public.Languages', verbose_name='Languages'),
        ),
        migrations.AlterField(
            model_name='personinneed',
            name='last_name',
            field=models.CharField(max_length=255, verbose_name='Last Name'),
        ),
        migrations.AlterField(
            model_name='personinneed',
            name='postal_code',
            field=models.IntegerField(verbose_name='Postal Code'),
        ),
        migrations.AlterField(
            model_name='personinneed',
            name='state',
            field=models.CharField(max_length=255, verbose_name='State'),
        ),
        migrations.AlterField(
            model_name='personinneed',
            name='street_name',
            field=models.CharField(max_length=255, verbose_name='Streetname'),
        ),
        migrations.AlterField(
            model_name='personinneed',
            name='street_number',
            field=models.CharField(max_length=10, verbose_name='House Number'),
        ),
        migrations.AlterField(
            model_name='tasks',
            name='help_topics',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='personinneed.HelpCategories', verbose_name='Help Categories'),
        ),
        migrations.AlterField(
            model_name='tasks',
            name='status',
            field=models.CharField(choices=[('ongoing', 'currently being worked on'), ('done', 'done'), ('open', 'open')], max_length=30),
        ),
        migrations.AlterField(
            model_name='tasks',
            name='title',
            field=models.CharField(max_length=255, verbose_name='Task'),
        ),
        migrations.AlterField(
            model_name='tasks',
            name='type',
            field=models.CharField(choices=[('once', 'once'), ('RC', 'recurring')], default='once', max_length=10, verbose_name='Type of the Task'),
        ),
    ]
